Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.PBEKeyFactory

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JCESecretKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JCESecretKeyFactory.PBEKeyFactory

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCESecretKeyFactory.PBEWithMD5AndRC2, JCESecretKeyFactory.PBEWithRIPEMD160, JCESecretKeyFactory.PBEWithSHA, JCESecretKeyFactory.PBEWithSHA1AndDES, JCESecretKeyFactory.PBEWithSHA1AndRC2, JCESecretKeyFactory.PBEWithSHAAnd128BitRC2, JCESecretKeyFactory.PBEWithSHAAnd128BitRC4, JCESecretKeyFactory.PBEWithSHAAnd40BitRC2, JCESecretKeyFactory.PBEWithSHAAnd40BitRC4, JCESecretKeyFactory.PBEWithSHAAndDES2Key, JCESecretKeyFactory.PBEWithSHAAndDES3Key, JCESecretKeyFactory.PBEWithSHAAndIDEA, JCESecretKeyFactory.PBEWithSHAAndTwofish, JCESecretKeyFactory.PBEWithTiger

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.PBEKeyFactory
extends JCESecretKeyFactory

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.DESPBEKeyFactory, JCESecretKeyFactory.PBEKeyFactory, JCESecretKeyFactory.PBEWithMD5AndDES, JCESecretKeyFactory.PBEWithMD5AndRC2, JCESecretKeyFactory.PBEWithRIPEMD160, JCESecretKeyFactory.PBEWithSHA, JCESecretKeyFactory.PBEWithSHA1AndDES, JCESecretKeyFactory.PBEWithSHA1AndRC2, JCESecretKeyFactory.PBEWithSHAAnd128BitRC2, JCESecretKeyFactory.PBEWithSHAAnd128BitRC4, JCESecretKeyFactory.PBEWithSHAAnd40BitRC2, JCESecretKeyFactory.PBEWithSHAAnd40BitRC4, JCESecretKeyFactory.PBEWithSHAAndDES2Key, JCESecretKeyFactory.PBEWithSHAAndDES3Key, JCESecretKeyFactory.PBEWithSHAAndIDEA, JCESecretKeyFactory.PBEWithSHAAndTwofish, JCESecretKeyFactory.PBEWithTiger`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, TIGER`

Constructor Summary
`JCESecretKeyFactory.PBEKeyFactory(java.lang.String algorithm, boolean forCipher, int scheme, int digest, int keySize, int ivSize)`

Method Summary
`protected SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)` Generates a `SecretKey` object from the provided key specification (key material).

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.PBEKeyFactory

    public JCESecretKeyFactory.PBEKeyFactory(java.lang.String algorithm,
                                             boolean forCipher,
                                             int scheme,
                                             int digest,
                                             int keySize,
                                             int ivSize)

Method Detail

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                      throws java.security.spec.InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Generates a `SecretKey` object from the provided key specification (key material).

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Parameters:
    `keySpec` - the specification (key material) of the secret key
  Returns:
    the secret key
  Throws:
    `java.security.spec.InvalidKeySpecException` - if the given key specification is inappropriate for this secret-key factory to produce a secret key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD